%define gettext_package dbus

%define expat_version           2.0.1
%define glib2_version           2.26.0
%define gtk2_version 2.22.0
%define dbus_version 1.4.0-1

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	GLib bindings for D-Bus
Name: 		dbus-glib
Version: 	0.88
Release: 	1
BuildArch:	i686
URL: 		http://www.freedesktop.org/software/dbus/
Source0:	http://dbus.freedesktop.org/releases/%{name}-%{version}.tar.gz
Source1:	dbus-bus-introspect.xml
License:	AFL/GPL
Group:		System/Libraries
Requires:	chkconfig
BuildRequires: 	libtool
BuildRequires: 	dbus-devel >= %{dbus_version}
BuildRequires: 	libxml2-devel
BuildRequires: 	glib-devel >= %{glib2_version}
BuildRequires: 	gettext
BuildRequires: 	autoconf

#Automatically resolved build dependencies
BuildRequires: expat-devel
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
D-Bus add-on library to integrate the standard D-Bus library with
the GLib thread abstraction and main loop.

%package devel
Summary: 	Libraries and headers for the D-Bus GLib bindings
Group: 		Development/Libraries
Requires: 	%name = %{version}-%{release}
Requires: 	glib-devel 
Obsoletes: 	dbus-devel < 0.90

%description devel

Headers and static libraries for the D-Bus GLib bindings 

%if 0
%package gtk
Summary: 	GTK based tools
Group: 		Development/Tools 
Requires: 	%name = %{version}-%{release}
Requires: 	gtk2+ >= %{gtk_version}
%description gtk

D-Bus tools written using the gtk+ GUI libaries

%endif

%prep
%setup -q

%build

%configure --disable-tests --enable-verbose-mode=yes --enable-asserts=yes --disable-gtk-doc --with-introspect-xml=%{SOURCE1}
make

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS
%{_libdir}/libdbus-glib-1.so.*
%{_bindir}/dbus-binding-tool
/etc/bash_completion.d/dbus-bash-completion.sh
/usr/libexec/dbus-bash-completion-helper
/usr/share/man/man1/dbus-binding-tool.1.gz

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/dbus-glib-1.pc
%{_includedir}/dbus-1.0/dbus/dbus-glib-bindings.h
%{_includedir}/dbus-1.0/dbus/dbus-glib-error-enum.h
%{_includedir}/dbus-1.0/dbus/dbus-glib-lowlevel.h
%{_includedir}/dbus-1.0/dbus/dbus-glib.h
%{_includedir}/dbus-1.0/dbus/dbus-gtype-specialized.h
%{_libdir}/libdbus-glib-1.a
%{_libdir}/libdbus-glib-1.la
%{_libdir}/libdbus-glib-1.so
%{_datadir}/gtk-doc

%if 0
%files gtk
%defattr(-,root,root)
%{_bindir}/dbus-viewer
%endif

%changelog
* Tue Sep 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.88-1
- Version update
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.86-1
- Version update
* Sun Feb 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.84-1
- Version update
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 0.82-1
- Version update
* Thu Aug 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.76-1
- Version update
* Tue Mar 04 2008 Christian Metzen <metzench@ccux-linux.de> 0.74-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 0.73-1
- Version update
* Sun Feb 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.72-1
- Version update
- built against dbus 1.0.2
- disabled tests, verbose mode and asserts in final package
* Sun Oct 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.71-3
- rebuilt against dbus 0.94
* Sat Sep 30 2006 Christian Metzen <metzench@ccux-linux.de> 0.71-2
- readded .a and .la files
* Fri Sep 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.71-1
- Version update
* Thu Sep 28 2006 Christian Metzen <metzench@ccux-linux.de> 0.70-1
- Initial release
